Bug 541662 - Merge Review: perl-Pod-Coverage - Checks if the documentation of a module is comprehensive
Merge Review: perl-Pod-Coverage - Checks if the documentation of a module is ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 11:40 EST by Marcela Mašláňová
Modified: 2010-07-14 06:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 07:35:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-11-26 11:40:11 EST
SRPM: http://mmaslano.fedorapeople.org/MergeReview/perl-Pod-Coverage-0.20-3.fc13.src.rpm
Spec: http://mmaslano.fedorapeople.org/MergeReview/perl-Pod-Coverage.spec
Description: Developers hate writing documentation.  They'd hate it even more if their computer tattled on them, but maybe they'll be even more thankful in the
long run.  Even if not, perlmodstyle tells you to, so you must obey.
This module provides a mechanism for determining if the pod for a given
module is comprehensive.
Comment 1 Parag AN(पराग) 2009-11-27 04:32:32 EST
I wonder how can this package got missed at time of FC-6 when all core packages submitted for their merge-reviews.
Comment 2 Parag AN(पराग) 2009-12-09 01:13:44 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863811
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
c4786c39ae5a53ae6dbf553071d1e6f707deba61  Pod-Coverage-0.20.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=9, Tests=71,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.48 cusr  0.08 csys =  0.61 CPU)
+ Package perl-Pod-Coverage-0.20-3.fc13.noarch =>
Provides: perl(Pod::Coverage) = 0.20 perl(Pod::Coverage::CountParents) perl(Pod::Coverage::ExportOnly) perl(Pod::Coverage::Extractor) perl(Pod::Coverage::Overloader)
Requires: /usr/bin/perl perl(B) perl(Devel::Symdump) perl(Pod::Coverage) perl(Pod::Find) perl(Pod::Parser) perl(base) perl(constant) perl(lib) perl(strict) perl(vars)

+ Not a GUI application



APPROVED.
Comment 3 Marcela Mašláňová 2009-12-10 07:35:32 EST
Thank you for you review.

Note You need to log in before you can comment on or make changes to this bug.